import os;
import jwt;
import requests


def get_id_token():
    client_id = os.getenv('IBM_KEYCLOAK_CLIENT_ID')
    client_secret = os.getenv('IBM_KEYCLOAK_CLIENT_SECRET')
    username = os.getenv('IBM_AUTH_USER_ACCESS')
    password = os.getenv('IBM_AUTH_USER_ACCESS_PASSWORD')
    url = 'https://' + os.getenv('IBM_KEYCLOAK_URL') + '/auth/realms/OSDU/protocol/openid-connect/token'

    if client_id is None:
        print('Please pass CLIENT_ID to generate token')
        exit(1)
    if client_secret is None:
        print('Please pass CLIENT_SECRET to generate token')
        exit(1)
    if username is None:
        print('Please pass USERNAME to generate token')
        exit(1)
    if password is None:
        print('Please pass PASSWORD to generate token')
        exit(1)
    if url is None:
        print('Please pass KEYCLOAK_TOKEN_URL to generate token')
        exit(1)

    data = {
        'client_id': client_id,
        'client_secret': client_secret,
        'username': username,
        'password': password,
        'grant_type': 'password',
        'scope': 'openid'
    }

    try:
        response = requests.post(url, data).json()
        token = response['access_token']
        print(token)
    except Exception as e:
        print(e)


def get_invalid_token():
    #generate a dummy jwt
    return jwt.encode({'some': 'payload'}, 'secret', algorithm='HS256').decode("utf-8")

if __name__ == '__main__':
    get_id_token()
