# METADATA
# title: Search
# description: |
#  New M18 Functionality
#  Have search service use the preprocessor functionality when calling translate
#  This requires policy search_preprocessor to be loaded.
# related_resources:
# - ref: https://community.opengroup.org/osdu/platform/security-and-compliance/policy/-/blob/master/app/tests/templates/search1.rego

package osdu.partition["${data_partition}"].search1

import data.osdu.partition["${data_partition}"].search_preprocessor

default allow := false
default deny := false

preprocess_config := {
  "input_from_preprocessor": {
    "allow_groups": search_preprocessor.allow_groups,
    "deny_groups": search_preprocessor.deny_groups
  },
  "has_allow_rule": true,
  "has_deny_rule": true
}

allow {
  input.operation == "view"
  input.record.acl.owners[_] == input.allow_groups[_]
}

deny {
  input.operation == "view"
  input.record.acl.owners[_] == input.deny_groups[_]
}
