import fastapi
import sys
import os
sys.path.append(os.path.abspath('..'))
import _version
router = fastapi.APIRouter()

def generate_html_response():
    html_content = f"""
    <html>
        <head>
            <title>Policy Service</title>
        </head>
        <body>
            <h1>Policy Service API v{_version.__apiversion__} Build v{_version.__version__} {_version.__milestone__}</h1>
              <ul>
              <li><a href='/api/policy/v1/docs'>Swagger UI</a>
              <li><a href='/api/policy/v1/redoc'>ReDoc</a>
              <li><a href='/api/policy/v1/openapi.json'>OpenAPI Document (openapi.json)</a>
              <li><a href='https://community.opengroup.org/osdu/platform/security-and-compliance/policy'>Source</a>
              <li><a href='/adminui' target='_blank'>Admin UI</a>
              </ul>
        </body>
    </html>
    """
    return fastapi.responses.HTMLResponse(content=html_content, status_code=200)

@router.get("/", response_class=fastapi.responses.HTMLResponse)
async def home_page():
    return generate_html_response()
