import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AppComponent } from './app.component'
import { ConfigComponent } from './config/config.component';
import { PoliciesComponent } from './policies/policies.component';
import { DiagPoliciesComponent } from './diag-policies/diag-policies.component';
import { LookupPolicyComponent } from './lookup-policy/lookup-policy.component';
import { InfoComponent } from './info/info.component';
import { LoginComponent } from './login/login.component';
import { AuthGuard } from './auth.guard';

export const routes: Routes = [
  {
    path: '',
    // component: AppComponent,
    canActivate: [AuthGuard],
    children: [
      { path:'diag/config', component: ConfigComponent },
      { path:'config', component: ConfigComponent },
      { path:'info', component: InfoComponent },
      { path:'policies', component: PoliciesComponent },
      { path:'lookup', component: LookupPolicyComponent },
      { path:'diag/policies', component: DiagPoliciesComponent },
      { path: '', redirectTo: '/info', pathMatch: 'full' }, // redirect to `info`
      /*
      { path: '**', component: PageNotFoundComponent },  // Wildcard route for a 404 page
      */
    ],
  },

  {
    path: 'auth',
    children: [
      { path: 'login', component: LoginComponent },
    ],
  },
];

// @NgModule({
//   imports: [RouterModule.forRoot(routes)],
//   exports: [RouterModule]
// })

// export class AppRoutingModule { }
// export const ArrayOfComponents = [ConfigComponent, InfoComponent]
