import { Component, OnInit } from '@angular/core';

import { AuthService, AuthSession } from '../auth.service'
import { PolicyService } from '../policy.service'

@Component({
  selector: 'app-config',
  templateUrl: './config.component.html',
  styleUrls: ['./config.component.scss']
})
export class ConfigComponent implements OnInit {
  public config: any

  constructor(
    private api: PolicyService,
    public authService: AuthService,
  ) { }

  ngOnInit(): void {
    if (this.authService.hasSession()) {
      this.api.getConfig().subscribe((config) => {
        this.config = config
      })
    }
  }
}
