import { Component, OnInit } from '@angular/core';

import { AuthService, AuthSession } from '../auth.service'
import { PolicyService } from '../policy.service'

@Component({
  selector: 'app-info',
  templateUrl: './info.component.html',
  styleUrls: ['./info.component.scss']
})
export class InfoComponent implements OnInit {
  public info: any

  constructor(
    private api: PolicyService,
    public authService: AuthService,
  ) { }

  ngOnInit(): void {
    this.pullPolicies()
  }

  pullPolicies() {
    this.api.getInfo().subscribe((info) => {
      this.info = info
    })
  }
}
